ChangeSet 1.850.1.5, 2002/10/30 00:01:46-08:00, greg@kroah.com

USB: usb serial driver fixes due to USB structure changes.


diff -Nru a/drivers/usb/serial/io_ti.c b/drivers/usb/serial/io_ti.c
--- a/drivers/usb/serial/io_ti.c	Wed Oct 30 09:43:55 2002
+++ b/drivers/usb/serial/io_ti.c	Wed Oct 30 09:43:55 2002
@@ -588,10 +588,10 @@
 	// we want. However, we just support one config at this point,
 	// configuration # 1, which is Config Descriptor 0.
 
-	dbg ("%s - Number of Interfaces = %d", __FUNCTION__, dev->config->bNumInterfaces);
-	dbg ("%s - MAX Power            = %d", __FUNCTION__, dev->config->MaxPower*2);
+	dbg ("%s - Number of Interfaces = %d", __FUNCTION__, dev->config->desc.bNumInterfaces);
+	dbg ("%s - MAX Power            = %d", __FUNCTION__, dev->config->desc.bMaxPower*2);
 
-	if (dev->config->bNumInterfaces != 1) {
+	if (dev->config->desc.bNumInterfaces != 1) {
 		err ("%s - bNumInterfaces is not 1, ERROR!", __FUNCTION__);
 		return -ENODEV;
 	}
@@ -980,7 +980,7 @@
 	if (status)
 		return status;
 
-	interface = serial->serial->dev->config->interface->altsetting;
+	interface = &serial->serial->dev->config->interface->altsetting->desc;
 	if (!interface) {
 		err ("%s - no interface set, error!", __FUNCTION__);
 		return -ENODEV;
diff -Nru a/drivers/usb/serial/safe_serial.c b/drivers/usb/serial/safe_serial.c
--- a/drivers/usb/serial/safe_serial.c	Wed Oct 30 09:43:55 2002
+++ b/drivers/usb/serial/safe_serial.c	Wed Oct 30 09:43:55 2002
@@ -393,7 +393,7 @@
 
 static int safe_startup (struct usb_serial *serial)
 {
-	switch (serial->interface->altsetting->bInterfaceProtocol) {
+	switch (serial->interface->altsetting->desc.bInterfaceProtocol) {
 	case LINEO_SAFESERIAL_CRC:
 		break;
 	case LINEO_SAFESERIAL_CRC_PADDED:
diff -Nru a/drivers/usb/serial/usb-serial.c b/drivers/usb/serial/usb-serial.c
--- a/drivers/usb/serial/usb-serial.c	Wed Oct 30 09:43:55 2002
+++ b/drivers/usb/serial/usb-serial.c	Wed Oct 30 09:43:55 2002
@@ -1250,7 +1250,7 @@
 			interface = &dev->actconfig->interface[0];
 			iface_desc = &interface->altsetting[0];
 			for (i = 0; i < iface_desc->desc.bNumEndpoints; ++i) {
-				endpoint = &iface_desc->endpoint[i];
+				endpoint = &iface_desc->endpoint[i].desc;
 				if ((endpoint->bEndpointAddress & 0x80) &&
 				    ((endpoint->bmAttributes & 3) == 0x03)) {
 					/* we found a interrupt in endpoint */
